
package com.unis.base.server.domain;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.ProfitVO;
import com.unis.base.server.dao.ProfitDao;
import com.unis.base.server.domain.BaseDomain;
import com.unis.base.server.entity.SYdsjDO;
import com.unis.common.utils.LsBeanUtils;

import tk.mybatis.mapper.util.StringUtil;
/**
 * @Title:ProfitDomain.java
 * @Package: com.unis.base.server.service.impl
 * @Description:
 * @Author ZHANGQI
 * @date 2019年10月30日 下午3:40:41
 * @version V1.0
*/
@Component
public class ProfitDomain extends BaseDomain{
	@Autowired
	private ProfitDao  profitMapper;
	/**
	 * @Title: getPageList
	 * @Description: 方法描述:(列表分页)
	 * @param @param profitVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return PageInfo<ProfitVO>    返回类型
	 * @throws
	*/
	public PageInfo<ProfitVO> getPageList(ProfitVO profitVO, Integer pageNum, Integer pageSize) {
		PageInfo<ProfitVO> pageInfoVO = new PageInfo<ProfitVO>();
		PageHelper.startPage(pageNum, pageSize);
		List<SYdsjDO> profitDOs =  profitMapper.findPageList(profitVO);
		PageInfo<SYdsjDO> PageInfoDO = new PageInfo<SYdsjDO>(profitDOs);
		LsBeanUtils.copyAllProperties(PageInfoDO,pageInfoVO);
		return pageInfoVO ;
	}
	/**
	 * @Title: deleteProfit
	 * @Description: 方法描述:(通过编号删除)
	 * @param @param sybh
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int deleteProfit(String sybh) {
		return profitMapper.deleteByPrimaryKey(sybh);
	}
	/**
	 * @Title: infoProfit
	 * @Description: 方法描述:(数据录入)
	 * @param @param profitVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int infoProfit(ProfitVO profitVO) {
		SYdsjDO  s0 = new SYdsjDO();
		LsBeanUtils.copyAllProperties(profitVO,s0);
		int pro = 0;
		if(StringUtil.isEmpty(s0.getSydbh())) {
			 pro = profitMapper.insertSelective(s0);
		}else {
			 pro =  profitMapper.updateByPrimaryKey(s0);
		}
		return pro;
	}

}
